unit Azure.CognitiveServices.TextAnalytics.Types;

interface

type

  TAcsTextAnalyticsSentiment = (Negative, Neutral, Positive, Mixed);

  TAcsTextAnalyticsConfidenceScores = record
    Positive: Double;
    Neutral: Double;
    Negative: Double;
  end;

  TAcsTextAnalyticsSentence = record
    Sentiment: TAcsTextAnalyticsSentiment;
    ConfidenceScores: TAcsTextAnalyticsConfidenceScores;
    Offset: Integer;
    Length: Integer;
    Text: string;
  end;

  TAcsTextAnalyticsRequestDocument = record
    ID: string;
    Language: string;
    Text: string;
  end;

  TAcsTextAnalyticsResponseDocument = record
    ID: string;
    Sentiment: TAcsTextAnalyticsSentiment;
    ConfidenceScores: TAcsTextAnalyticsConfidenceScores;
    Sentences: TArray<TAcsTextAnalyticsSentence>;
  end;

  TAcsTextAnalyticsRequest = record
    Documents: TArray<TAcsTextAnalyticsRequestDocument>;
  end;

  TAcsTextAnalyticsResponse = record
    Documents: TArray<TAcsTextAnalyticsResponseDocument>;
  end;

implementation

end.
